wxWidgets: wxDCClipper Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxDCClipper Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-3.x86_64/src/wxWidgets-3.1.5/interface/wx/dc.h>`

## Detailed Description

wxDCClipper is a helper class for setting a clipping region on a wxDC during its lifetime.

An object of wxDCClipper class is typically created on the stack so that it is automatically destroyed when the object goes out of scope. A typical usage example:

void MyFunction(wxDC& dc)
{
wxDCClipper clip(dc, rect);
// ... drawing functions here are affected by clipping rect ...
}
void OtherFunction()
{
wxDC dc;
MyFunction(dc);
// ... drawing functions here are not affected by clipping rect ...
}
wxDCClipper::wxDCClipper
wxDCClipper(wxDC &dc, const wxRegion &region)
Sets the clipping region to the specified region/coordinates.
wxDC
A wxDC is a "device context" onto which graphics and text can be drawn.
Definition dc.h:199

Note
  Since 3.1.1 wxDCClipper restores the previously active clipping region when it is destroyed. Previously it reset clipping on the associated wxDC and this has to be taken into account explicitly in previous wxWidgets versions.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxDC::SetClippingRegion(), wxDCFontChanger, wxDCTextColourChanger, wxDCPenChanger, wxDCBrushChanger

## Public Member Functions
| wxDCClipper (wxDC &dc, const wxRegion &region)
| Sets the clipping region to the specified region/coordinates.
| wxDCClipper (wxDC &dc, const wxRect &rect)
| wxDCClipper (wxDC &dc, wxCoord x, wxCoord y, wxCoord w, wxCoord h)
| ~wxDCClipper ()
| Destroys the clipping region associated with the DC passed to the ctor.

## Constructor & Destructor Documentation

## ◆ wxDCClipper() [1/3]

wxDCClipper::wxDCClipper | ( | wxDC & | dc,
|  | const wxRegion & | region )

Sets the clipping region to the specified region/coordinates.

The clipping region is automatically unset when this object is destroyed.

## ◆ wxDCClipper() [2/3]

wxDCClipper::wxDCClipper | ( | wxDC & | dc,
|  | const wxRect & | rect )

## ◆ wxDCClipper() [3/3]

wxDCClipper::wxDCClipper | ( | wxDC & | dc,
|  | wxCoord | x,
|  | wxCoord | y,
|  | wxCoord | w,
|  | wxCoord | h )

## ◆ ~wxDCClipper()

wxDCClipper::~wxDCClipper | ( |  | ) |

Destroys the clipping region associated with the DC passed to the ctor.